HDF: hdf/src/atom_priv.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
atom_priv.h File Reference
`#include <stdint.h>`
`#include "hdf_priv.h"`

## Typedefs
typedef int32_t | atom_t
typedef int(*) | HAsearch_func_t(const void *obj, const void *key)

## Enumerations
enum | group_t { BADGROUP = -1 , DDGROUP = 0 , AIDGROUP = 1 , FIDGROUP = 2 , VGIDGROUP = 3 , VSIDGROUP = 4 , GRIDGROUP = 5 , RIIDGROUP = 6 , BITIDGROUP = 7 , ANIDGROUP = 8 , MAXGROUP }

## Functions
int | HAinit_group (group_t grp, unsigned hash_size)
int | HAdestroy_group (group_t grp)
atom_t | HAregister_atom (group_t grp, void *object)
void * | HAatom_object (atom_t atm)
group_t | HAatom_group (atom_t atm)
void * | HAremove_atom (atom_t atm)
void * | HAsearch_atom (group_t grp, HAsearch_func_t func, const void *key)
int | HAshutdown (void)

## Typedef Documentation

## ◆ atom_t

typedef int32_t atom_t

## ◆ HAsearch_func_t

typedef int(*) HAsearch_func_t(const void *obj, const void *key)

## Enumeration Type Documentation

## ◆ group_t

enum group_t

Enumerator
BADGROUP |
DDGROUP |
AIDGROUP |
FIDGROUP |
VGIDGROUP |
VSIDGROUP |
GRIDGROUP |
RIIDGROUP |
BITIDGROUP |
ANIDGROUP |
MAXGROUP |

## Function Documentation

## ◆ HAatom_group()

group_t HAatom_group | ( | atom_t | atm | ) |
| extern

## ◆ HAatom_object()

void * HAatom_object | ( | atom_t | atm | ) |
| extern

## ◆ HAdestroy_group()

int HAdestroy_group | ( | group_t | grp | ) |
| extern

## ◆ HAinit_group()

int HAinit_group | ( | group_t | grp,
|  | unsigned | hash_size )
| extern

## ◆ HAregister_atom()

atom_t HAregister_atom | ( | group_t | grp,
|  | void * | object )
| extern

## ◆ HAremove_atom()

void * HAremove_atom | ( | atom_t | atm | ) |
| extern

## ◆ HAsearch_atom()

void * HAsearch_atom | ( | group_t | grp,
|  | HAsearch_func_t | func,
|  | const void * | key )
| extern

## ◆ HAshutdown()

int HAshutdown | ( | void |  | ) |
| extern